package com.zzsn.util;

import org.wltea.analyzer.lucene.IKAnalyzer;

/**
 * 分词构建类，用单例模式
 * 创建人：李东亮   
 * 创建时间：2015-6-10 下午4:57:13   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public class AnalyzerBuilder {
	 private AnalyzerBuilder() { }

	   private static class Analyzer {
	      private final static IKAnalyzer INSTANCE = new IKAnalyzer(true);
	   }

	   public static IKAnalyzer getInstance() {
	      return Analyzer.INSTANCE;
	   }


}
